Languages (Encode/Decode Utilities (Version 1.10))
Date: 2018-05-06

org.apache.commons.codec.language.bm

## Class Languages

- java.lang.Object
- - org.apache.commons.codec.language.bm.Languages

-     public class Languages
      extends java.lang.Object

  Language codes.

  Language codes are typically loaded from resource files. These are UTF-8 encoded text files. They are systematically named following the pattern:

  > org/apache/commons/codec/language/bm/${`NameType.getName()` languages.txt

  The format of these resources is the following:

  - Language: a single string containing no whitespace
  - End-of-line comments: Any occurrence of '//' will cause all text following on that line to be discarded as a comment.
  - Multi-line comments: Any line starting with '/*' will start multi-line commenting mode. This will skip all content until a line ending in '*' and '/' is found.
  - Blank lines: All blank lines will be skipped.

  Ported from language.php

  This class is immutable and thread-safe.

  Since:
    1.6
  Version:
    $Id: Languages.java 1636435 2014-11-03 20:37:24Z tn $

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Languages.LanguageSet` A set of languages.
    `static class` | `Languages.SomeLanguages` Some languages, explicitly enumerated.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ANY`
    `static Languages.LanguageSet` | `ANY_LANGUAGE` Any/all languages.
    `private java.util.Set<java.lang.String>` | `languages`
    `private static java.util.Map<NameType,Languages>` | `LANGUAGES`
    `static Languages.LanguageSet` | `NO_LANGUAGES` No languages at all.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `Languages(java.util.Set<java.lang.String> languages)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Languages` | `getInstance(NameType nameType)`
    `static Languages` | `getInstance(java.lang.String languagesResourceName)`
    `java.util.Set<java.lang.String>` | `getLanguages()`
    `private static java.lang.String` | `langResourceName(NameType nameType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ANY

          public static final java.lang.String ANY

      See Also:
        Constant Field Values

    - #### LANGUAGES

          private static final java.util.Map<NameType,Languages> LANGUAGES

    - #### languages

          private final java.util.Set<java.lang.String> languages

    - #### NO_LANGUAGES

          public static final Languages.LanguageSet NO_LANGUAGES

      No languages at all.

    - #### ANY_LANGUAGE

          public static final Languages.LanguageSet ANY_LANGUAGE

      Any/all languages.

  - ### Constructor Detail

    - #### Languages

          private Languages(java.util.Set<java.lang.String> languages)

  - ### Method Detail

    - #### getInstance

          public static Languages getInstance(NameType nameType)

    - #### getInstance

          public static Languages getInstance(java.lang.String languagesResourceName)

    - #### langResourceName

          private static java.lang.String langResourceName(NameType nameType)

    - #### getLanguages

          public java.util.Set<java.lang.String> getLanguages()

commons-codec version 1.10 - Copyright © 2002-2018 - Apache Software Foundation